<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Edit Debtor</title>
</head>
<body>
    <h1>Edit Debtor</h1>

    <form th:action="@{/debtor/form}" method="post" th:object="${debtor}">
        <input type="hidden" th:field="*{id}" />
        <table>
            <tr>
                <td>Debitor Code</td>
                <td>
                    <input th:field="*{code}">
                </td>
                <td>
                    <ul>
                        <li th:each="err : ${#fields.errors('code')}" th:text="${err}" />
                    </ul>
                </td>
            </tr>
            <tr>
                <td>Debitor Name</td>
                <td>
                    <input th:field="*{name}">
                </td>
                <td>
                    <ul>
                        <li th:each="err : ${#fields.errors('name')}" th:text="${err}" />
                    </ul>
                </td>
            </tr>
            <tr>
                <td>Email</td>
                <td>
                    <input th:field="*{email}">
                </td>
                <td>
                    <ul>
                        <li th:each="err : ${#fields.errors('email')}" th:text="${err}" />
                    </ul>
                </td>
            </tr>
            <tr>
                <td>Mobile Phone</td>
                <td>
                    <input th:field="*{mobilePhone}">
                </td>
                <td>
                    <ul>
                        <li th:each="err : ${#fields.errors('mobilePhone')}" th:text="${err}" />
                    </ul>
                </td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td>
                    <input type="submit">
                </td>
                <td>&nbsp;</td>
            </tr>
        </table>
    </form>
</body>
</html>